#include "xgfximageloaddef.h"

XGfxImageLoadDef::XGfxImageLoadDef()
    : XAsset()
    , mLevelCount(0)
    , mFlags(0)
    , mDimensions(3)
    , mFormat(0)
    , mTexture()
{
    SetName("GFX Image Load Definition");
}

XGfxImageLoadDef::~XGfxImageLoadDef()
{

}

void XGfxImageLoadDef::ParseData(XDataStream *aStream)
{
    *aStream
        >> mLevelCount
        >> mFlags
        >> mDimensions
        >> mFormat;

    mTexture.ParsePtr(aStream);
}

void XGfxImageLoadDef::Clear()
{
    mLevelCount = 0;
    mFlags = 0;
    mDimensions = QVector<qint16>(3);
    mFormat = 0;
    mTexture.Clear();
}
